Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.iff
Class AnimMerger.IFFChunkNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          org.monte.media.iff.AnimMerger.IFFChunkNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

Enclosing class:
  AnimMerger

    protected static class AnimMerger.IFFChunkNode

extends javax.swing.tree.DefaultMutableTreeNode

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`AnimMerger.IFFChunkNode(int type, int id, int size, int offset, byte[] data)`

Method Summary
`int` | `compareTo(AnimMerger.IFFChunkNode that)`
`void` | `dump(int depth)`
`java.lang.String` | `getID()`
`int` | `getOffset()`
`int` | `getPaddedChunkSize()`
`byte[]` | `getRawData()`
`int` | `getSeqIndex()`
`int` | `getSize()`
`java.lang.String` | `getType()`
`boolean` | `isSameAs(AnimMerger.IFFChunkNode that)`
`void` | `mergeANHD(AnimMerger.IFFChunkNode that)`
`void` | `mergeFrom(AnimMerger.IFFChunkNode that)`
`java.lang.String` | `toString()`
`void` | `write(java.io.DataOutputStream out)`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnimMerger.IFFChunkNode

    public AnimMerger.IFFChunkNode(int type,
                                   int id,
                                   int size,
                                   int offset,
                                   byte[] data)

Method Detail

### getPaddedChunkSize

    public int getPaddedChunkSize()

### write

    public void write(java.io.DataOutputStream out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### mergeFrom

    public void mergeFrom(AnimMerger.IFFChunkNode that)

### mergeANHD

    public void mergeANHD(AnimMerger.IFFChunkNode that)

### compareTo

    public int compareTo(AnimMerger.IFFChunkNode that)

### getSeqIndex

    public int getSeqIndex()

### getType

    public java.lang.String getType()

### getID

    public java.lang.String getID()

### getSize

    public int getSize()

### getOffset

    public int getOffset()

### getRawData

    public byte[] getRawData()

### isSameAs

    public boolean isSameAs(AnimMerger.IFFChunkNode that)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `javax.swing.tree.DefaultMutableTreeNode`

### dump

    public void dump(int depth)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD